// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from marine_sensor_msgs:msg/RadarSector.idl
// generated code does not contain a copyright notice

#ifndef MARINE_SENSOR_MSGS__MSG__DETAIL__RADAR_SECTOR__STRUCT_H_
#define MARINE_SENSOR_MSGS__MSG__DETAIL__RADAR_SECTOR__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>


// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'time_increment'
// Member 'scan_time'
#include "builtin_interfaces/msg/detail/duration__struct.h"
// Member 'intensities'
#include "marine_sensor_msgs/msg/detail/radar_echo__struct.h"

/// Struct defined in msg/RadarSector in the package marine_sensor_msgs.
/**
  * A collection of marine radar rays, typically covering a contiguous
  * arc of a full circle.
 */
typedef struct marine_sensor_msgs__msg__RadarSector
{
  /// timestamp in the header is the acquisition time of
  /// the first ray in the sector.
  ///
  /// In frame frame_id, angles are measured around
  /// the positive Z axis (counterclockwise, if Z is up)
  /// with zero angle being forward along the X axis
  std_msgs__msg__Header header;
  /// start angle of this sector
  float angle_start;
  /// angular distance between rays
  float angle_increment;
  /// time between rays - if your scanner
  /// is moving, this can be used in interpolating
  /// position of 3d points
  builtin_interfaces__msg__Duration time_increment;
  /// time between two consecutive complete scans
  /// or revolutions
  /// Warning: On hardware that doesn't provide a timestamp,
  /// time-related fields may be estimated and vary
  /// from sector to sector as estimates are updated
  builtin_interfaces__msg__Duration scan_time;
  /// range of the first sample in each ray
  float range_min;
  /// range of the last sample in each ray
  float range_max;
  /// intensity data.
  marine_sensor_msgs__msg__RadarEcho__Sequence intensities;
} marine_sensor_msgs__msg__RadarSector;

// Struct for a sequence of marine_sensor_msgs__msg__RadarSector.
typedef struct marine_sensor_msgs__msg__RadarSector__Sequence
{
  marine_sensor_msgs__msg__RadarSector * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} marine_sensor_msgs__msg__RadarSector__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // MARINE_SENSOR_MSGS__MSG__DETAIL__RADAR_SECTOR__STRUCT_H_
